from typing import TypeVar

import numpy as np
from jaxtyping import Array as JaxArray
from jaxtyping import Bool, Float, Int, Num

try:
    from cv2.typing import MatLike
except ImportError:
    MatLike = np.ndarray

NDArray = np.ndarray
T = TypeVar("T")
